## org.apache.fop.fonts
Class TTFFile

    java.lang.Object
      |
      +--org.apache.fop.fonts.TTFFile

public class TTFFile
extends java.lang.Object

Constructor Summary
`TTFFile()`

Method Summary
`int` `getCapHeight()`
`java.lang.String` `getCharSetName()`
`int` `getCharWidth(int idx)`
`short` `getFirstChar()`
`int` `getFlags()`
`int[]` `getFontBBox()`
`java.lang.String` `getItalicAngle()`
`java.util.Hashtable` `getKerning()`
`short` `getLastChar()`
`int` `getLowerCaseAscent()`
`int` `getLowerCaseDescent()`
`java.lang.String` `getPostscriptName()`
`java.lang.String` `getStemV()`
`java.lang.String` `getWindowsName()`
`int` `getXHeight()`
`boolean` `isEmbeddable()`
`static void` `main(java.lang.String[] args)`
`void` `printStuff()`
`void` `readFont(FontFileReader in)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TTFFile

    public TTFFile()

Method Detail

### readFont

    public void readFont(FontFileReader in)
                  throws java.io.IOException

### printStuff

    public void printStuff()

### main

    public static void main(java.lang.String[] args)

### getWindowsName

    public java.lang.String getWindowsName()

### getPostscriptName

    public java.lang.String getPostscriptName()

### getCharSetName

    public java.lang.String getCharSetName()

### getCapHeight

    public int getCapHeight()

### getXHeight

    public int getXHeight()

### getFlags

    public int getFlags()

### getStemV

    public java.lang.String getStemV()

### getItalicAngle

    public java.lang.String getItalicAngle()

### getFontBBox

    public int[] getFontBBox()

### getLowerCaseAscent

    public int getLowerCaseAscent()

### getLowerCaseDescent

    public int getLowerCaseDescent()

### getLastChar

    public short getLastChar()

### getFirstChar

    public short getFirstChar()

### getCharWidth

    public int getCharWidth(int idx)

### getKerning

    public java.util.Hashtable getKerning()

### isEmbeddable

    public boolean isEmbeddable()

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.